Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5HasGroup

Check whether the current (pushed) group exists in the HDF5 file

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasGroup(PetscViewer viewer, const char path[], PetscBool *has)

Collective

## Input Parameters

- viewer - The `PETSCVIEWERHDF5` viewer

- path - (Optional) The path relative to the pushed group

## Output Parameter

- has - Flag for group existence

## Notes

If path starts with ‘/’, it is taken as an absolute path overriding currently pushed group, else path is relative to the current pushed group. `NULL` or empty path means the current pushed group.

If path exists but is not a group, `PETSC_FALSE` is returned.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5HasAttribute()`, `PetscViewerHDF5HasDataset()`, `PetscViewerHDF5PushGroup()`, `PetscViewerHDF5PopGroup()`, `PetscViewerHDF5GetGroup()`, `PetscViewerHDF5OpenGroup()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages